Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.util.arrayutil
Enum TemporalType

    java.lang.Object
      java.lang.Enum<TemporalType>
          org.encog.util.arrayutil.TemporalType

All Implemented Interfaces:
  Serializable, Comparable<TemporalType>

    public enum TemporalType

extends Enum<TemporalType>

Operations that the temporal class may perform on fields.

Enum Constant Summary
`Ignore` This field should be ignored.
`Input` This field is used as part of the input.
`InputAndPredict` This field is used for both input and prediction.
`PassThrough` This field should pass through, to the output file, without modification.
`Predict` This field is used as part of the prediction.

Method Summary
`static TemporalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemporalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Input

    public static final TemporalType Input

  This field is used as part of the input. However, if you wish to use the field for prediction as well, specify InputAndPredict.

### Predict

    public static final TemporalType Predict

  This field is used as part of the prediction. However, if you wish to use the field for input as well, specify InputAndPredict.

### InputAndPredict

    public static final TemporalType InputAndPredict

  This field is used for both input and prediction.

### Ignore

    public static final TemporalType Ignore

  This field should be ignored.

### PassThrough

    public static final TemporalType PassThrough

  This field should pass through, to the output file, without modification.

Method Detail

### values

    public static TemporalType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TemporalType c : TemporalType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TemporalType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.